<%@ Page Language="VB" AutoEventWireup="false" CodeFile="search.aspx.vb" Inherits="search" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Search</title>
</head>
<body>
<form id="form1" runat="server">
    <h1>Search results for: <asp:Literal ID="HeadLiteral" runat="server"></asp:Literal></h1>
    When this page loads we retrive data from parameters in the url and uses the "kw" parameter
    to select data from the database by first saving the "kw" parameter to the hidden field "HiddenKeywords".<br />
    <br />
        <asp:Repeater ID="ContentListRepeater" runat="server">
            <itemtemplate>
                    <asp:HyperLink ID="ContentHeadLinkButton" CssClass="small-link" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Name")%>' NavigateUrl='<%#GenerateURL(Eval("PageName"))%>'></asp:HyperLink><br />
                    <asp:Literal ID="ContentDesc" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "MetaDescription")%>'></asp:Literal><br /><br />
            </itemtemplate>
        </asp:Repeater>
        <asp:HyperLink id="lnkPrev" Visible="false" runat="server" Text="Previous"></asp:HyperLink> 
        <asp:Label id="lblCurrentPage" runat="server" />
        <asp:HyperLink id="lnkNext" Visible="false" runat="server" Text="Next"></asp:HyperLink> 
        <asp:HiddenField ID="HiddenKeywords" runat="server" />
        <asp:HiddenField ID="HiddenP2" runat="server" />
</form>
</body>
</html>

